
Application: gvSIG desktop - gvSIG bugs #3147
Start and Finish editing lose the selection
01/27/2015 05:11 PM - Antonio Falciano

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Lluís Marqués
Category: Vector editing
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2268 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce the bug:
    -  add a vector layer and select some features;
    -  start editing, open its attribute table and finally finish editing.

Result: the selection is lost.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3236: Field calculator l... Closed 03/03/2015

History
#1 - 03/03/2015 12:28 PM - Antonio Falciano

In my humble opinion, this is one of the most tedious issue in gvSIG 2.1 final.

#2 - 03/03/2015 06:40 PM - Álvaro Anguix

Antonio, we have developed a new edition. When we can test it in next builds, we can resolve builds related with edition.

#3 - 03/03/2015 06:41 PM - Álvaro Anguix
- Related to gvSIG bugs #3236: Field calculator loses the selection added

#4 - 04/23/2015 01:52 PM - Álvaro Anguix

With the new edition, when we start editing, the selection is lost.

#5 - 12/04/2015 01:12 PM - Lluís Marqués
- Assignee set to Lluís Marqués
- Status changed from New to In progress

#6 - 12/04/2015 01:27 PM - Lluís Marqués
- Status changed from In progress to Invalid
He intentado reproducir el bug en 2.3.0 build 2408. Ya no pierde la selección al entrar en edición ni al descartar cambios. Solo pierde la selección al
guardar los cambios, lo cual pienso que es lógico ya que escribe los datos en el almacén.

Marco como inválido. Si alguien piensa que no se debería perder la selección al guardar cambios reabrir el ticket.
